---
author: The Bunker Admin
date: 2025 04 29
tags: [sript]
---
## config.mediastack

Documenting all the things I need to config for the [[scripts/build.mediastack|build.mediastack]]

---

## Named Services 
With this docker compose setup, all the docker containers are in one network, and they are referenced as named containers. So when we are setting up application connections, we need to use the named application and the port. 

| Service     | Named Port              | Local Port            |
| ----------- | ----------------------- | --------------------- |
| radarr      | http://radarr:7878      | http://localhost:7878 |
| sonarr      | http://sonarr:8989      | http://localhost:8989 |
| qbittorrent | http://qbittorrent:8082 | http://localhost:8082 |
| prowlarr    | http://prowlarr:9696    | http://localhost:9696 |
| whisparr    | http://whispar:6969     | http://localhost:6969 |

## Qbitorrent

### VPN Setup
bnkops uses norvpn and we followed their guide for getting the vpn setup for qbittorrent: [[../archive/NordVPN proxy setup for qBittorrent|NordVPN proxy setup for qBittorrent]]

![[scripts/sreenshots/Pasted image 20250429152514.png]]
##  Flaresoverr
We need to configure Falresoverr for some indexers to work in Prowlarr 

Navigate to `Settings - Indexers` and add Flaresolverr: 

![[scripts/sreenshots/Pasted image 20250430172528.png]]

![[scripts/sreenshots/Pasted image 20250430172618.png]]

## Prowlarr 
### Apps
We need to add the sonarr and radarr apps. 

1. Click through to `Settings - Apps`

You should land on a page that looks like this, however, with no apps yet configured: 

![[scripts/sreenshots/Pasted image 20250429170049.png]]

From here we want to update the server settings with the addresses from above: 

![[scripts/sreenshots/Pasted image 20250429170202.png]]

You can find your API key for sonarr and radarr in the `Settings - General` section. 

![[scripts/sreenshots/Pasted image 20250429170413.png]]

### Adding Indexers
Navigate to add indexers and for free english media torrents use the public listings. 

![[scripts/sreenshots/Pasted image 20250430171845.png]]

Any indexer that says it requires a cloudflare pass, add the tag `flare` to deploy Flaresolverr 

![[scripts/sreenshots/Pasted image 20250430175512.png]]
## Radarr & Sonarr 

### First Sign IN 

### Root Folder 
We need to add the root folder in the UI of both services

1. Click through to `Settings - Media Management` and scroll to bottom of page

Click "Add Root Folder" and add the media directory you want Radarr to store your movies. 

If using the [[build.mediastack]] we are also going to have to map remote paths, as the docker containers think they are on different systems. You do this by going to `Settings - Download Clients` and setting the remote path on the download container: 

![[scripts/sreenshots/Pasted image 20250430091558.png]]
### Download Clients 




